> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-compose/apis/management/api-applications.md).

# API Applications

An API Application is a security identity used for accessing projects and their resources through the Management API.

Creating an API Application results in the generation of a set of client credentials (ID and secret) that can be used for issuing an access token. Such a token is used when authorizing the [Management Api](https://docs.umbraco.com/umbraco-compose/apis/management.md).

![API Applications with a project](https://1598002001-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtrzaKUEixDATtGQPGwXB%2Fuploads%2Fgit-blob-b77c44d930d234321cdd4d7b662492f54a88e761%2Fapi-applications.png?alt=media)

An API Application is project-scoped and is not tied to a user (even though it does have an owner). Instead, it is associated with a project and allows access only to this project's resources.

This approach minimizes the risk of accidental changes to the wrong project and allows for more granular access control over resources.

{% hint style="warning" %}
The endpoints to get all projects and all user API keys are not available for usage with a token generated from API Application credentials. As an API application is scoped to a single project, it cannot access anything other than that project and its resources. And since API keys belong to a user, not a project, they cannot be accessed with such a token.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-compose/apis/management/api-applications.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
